/*

  Dual Color LED Module

  Parts required:
  - Arduino Board
  - Dual Color LED Module (LED 3mm or 5mm)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int ledGreenPin = 10;                             // Use digital Pin 10~
int ledRedPin = 11;                               // Use digital Pin 11~
int delayTimer = 10;                              // Set delayTimer 

void setup() {
  pinMode(ledGreenPin, OUTPUT);                   // Set ledGreenPin as OUTPUT
  pinMode(ledRedPin, OUTPUT);                     // Set ledRedPin as OUTPUT
}

void loop() {
  for (int value = 0; value <= 255; value++) {    // Do from 0 to 255
    analogWrite(ledRedPin, value);                // Write value to ledRedPin
    analogWrite(ledGreenPin, 255 - value);        // Write 255 - value to ledGreenPin
    delay(delayTimer);                            // Delay delayTimer(x)
  }

  for (int value = 255; value >= 0; value--) {    // Do from 0 to 255
    analogWrite(ledRedPin, value);                // Write value to ledRedPin
    analogWrite(ledGreenPin, 255 - value);        // Write 255 - value to ledGreenPin
    delay(delayTimer);                            // Delay delayTimer(x)
  }
}
